#!/bin/bash

## This script deparates the debug info from binaries
## into dedicated files, making the binaries much lighter
##
## For instance, we have:
##     file:                Before:     After:   Reduction:
##    ----------------------------------------------------
##    libCMWServer.so_3.14  23853443    4297424  23M->4M
##    WCCOACMWServer_3.14   8016601     632360   8M ->0.6M


TO_PROCESS="WCCOACMWServer_3.14 libCMWServer.so_3.14"

for b in ${TO_PROCESS}; do
    objcopy --only-keep-debug ${b} ${b}.debug
    objcopy --add-gnu-debuglink=${b}.debug ${b}
    strip --strip-debug --strip-unneeded ${b}
done